#pragma once
#include "syscalls.hpp"

namespace JabyEngine {
    namespace Callback {
        struct [[deprecated("Currently not supported")]] VSyncCallback {
            using Function = void (*)();
            
            static Function callback;

            static void install(Function function) {
                VSyncCallback::callback = function;
            }

            static void uninstall() {
                VSyncCallback::install(nullptr);
            }
        };
    }
}